Skip to main content
GET
/
orchestration
/
plays
/
list
List plays
curl --request GET \
  --url https://api.getcargo.io/v1/orchestration/plays/list \
  --header 'Authorization: Bearer <token>'
{
  "plays": [
    {
      "uuid": "<string>",
      "workspaceUuid": "<string>",
      "workflowUuid": "<string>",
      "userUuid": "<string>",
      "modelUuid": "<string>",
      "segmentUuid": "<string>",
      "changeKinds": [
        "<string>"
      ],
      "runCreationRule": "always",
      "name": "<string>",
      "description": "<string>",
      "schedule": {
        "type": "<string>",
        "temporalScheduleWorkflowId": "<string>",
        "meta": {}
      },
      "isEnabled": true,
      "healthThreshold": 123,
      "healthAlertActions": [
        {
          "actionSlug": "<string>",
          "connectorUuid": "<string>",
          "config": {}
        }
      ],
      "folderUuid": "<string>",
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "deletedAt": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

isEnabled
boolean

Filter plays by enabled state.

modelUuid
string<uuid>

Filter plays by model identifier.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
segmentUuid
string<uuid>

Filter plays by segment identifier.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$

Response

Successful response

plays
Plays · object[]
required

List of plays.